from django.db import models

class Message(models.Model):
    title = models.CharField(max_length=100, null=True)  # 메시지 제목
    text = models.TextField()
    send_time = models.DateTimeField()  # 메시지를 전송할 시간
    created_at = models.DateTimeField(auto_now_add=True)
    is_sent = models.BooleanField(default=False)  # 메시지 전송 여부

    def __str__(self):
        return f"{self.title} ::: Message scheduled at {self.send_time}"
